{% extends "cumpa/base.html" %}
{% load wagtailimages_tags puput_tags wagtailcore_tags wagtailroutablepage_tags cumpa_template_tags comments recaptcha3 %}

{% block body_class %}flat-demo blog-single-page{% endblock %}
{% block body_extras %} data-spy="scroll" data-target="#scrollspy" data-offset="1" {% endblock %}
{% block extra_css %}
  <script src='https://www.google.com/recaptcha/api.js?render=6Lck7L4ZAAAAAMlST5469wABDkdpa_Yx5fdNd5bo'></script>
  <script>
    function loadGrecaptcha() {
      grecaptcha.ready(function () {
        var grecaptcha_execute = function () {
          grecaptcha.execute('6Lck7L4ZAAAAAMlST5469wABDkdpa_Yx5fdNd5bo', {action: 'homepage'}).then(function (token) {
            document.querySelectorAll('input.django-recaptcha-hidden-field').forEach(function (value) {
              value.value = token;
            });
            return token;
          })
        };
        grecaptcha_execute()
        setInterval(grecaptcha_execute, 120000);
      });
    }

    loadGrecaptcha();
  </script>
{% endblock %}
{% block content %}
  {% recent_posts self.blog_page self as entry_recent_posts %}
  {% recent_comments as entry_recent_comments %}
  {% archive_posts self.blog_page as blog_archive_posts %}
  {% with author=self.owner.full_name categories=self.categories.all next_entry=self.get_next_sibling.entrypage prev_entry=self.get_prev_sibling.entrypage tags=self.tags.all entry_recent_posts=entry_recent_posts entry_recent_comments=entry_recent_comments blog_archive_posts=blog_archive_posts %}
    <section id="blog-single" class="section blog-single active">
      <div class="display-table">
        <div class="display-content">
          <div class="container">
            <div class="row">
              <div class="col-lg-9 blog">
                <div class="rounded">
                  <div class="text-md-left">
                    <h1 class="mb-4 h4">{{ self.title }}</h1>
                    <div class="entry-meta mb-4">
                      <ul class="list-inline">
                        <li class="list-inline-item">
                          <a class="base-color" href="{% routablepageurl blog_page 'entries_by_date' self.date.year self.date.month self.date.day %}">
                            <i class="fa fa-calendar"></i>{{ self.date|date:"d b Y" }}
                          </a>
                        </li>
                        {% if author %}
                          <li class="list-inline-item">
                            <a class="base-color" href="{{ self.blog_page.url }}" title="Posts by admin" rel="author"><i
                              class="fa fa-user"></i>{{ author }}</a>
                          </li>
                        {% endif %}
                        {% if categories %}
                          <li class="list-inline-item">
                            <a class="base-color" href="{% routablepageurl self.blog_page 'entries_by_category' categories.0.slug %}" rel="category tag">
                              <i class="fa fa-folder-open"></i>
                              {{ categories.0.name }}
                            </a>
                          </li>
                        {% endif %}
                        <li class="list-inline-item">
                          <a id="count-comments" class="base-color" href="#list-comments">
                            <i class="fa fa-comments"></i>{% if self.num_comments == 0 %}No Comments.{% else %}
                            {{ self.num_comments }}{% endif %}
                          </a>
                        </li>
                      </ul>
                    </div>
                    <div class="entry-image image-border mb-4">
                      {% image self.header_image fill-720x480 %}
                    </div>
                    <div class="entry-content box-border p-3">
                      {{ self.body|richtext }}
                    </div>
                    <nav id="nav-single" class="mt-4">
                      {% if prev_entry %}
                        <span class="nav-previous button-border">
                          <a class="pill-button" href="{% entry_url prev_entry self.blog_page %}" rel="prev">Previous Post</a>
                        </span>
                      {% endif %}
                      {% if next_entry %}
                        <span class="nav-next button-border float-right">
                          <a class="pill-button" href="{% entry_url next_entry self.blog_page %}"
                             rel="next">Next Post</a>
                        </span>
                      {% endif %}
                    </nav>
                    <h2 id="list-comments" class="text-left my-4">Comments</h2>
                    <div id="user-comments" class="comments mt-4 box-border">
                      {% include "cumpa/sections/comments.html" with object=self %}
                    </div>
                    <div id="id_div_comments" class="contact mt-4">
                      <div class="contact-form">
                        <h2 class="text-left mb-4">Leave a reply</h2>
                        <div id="id_DivComment">
                          {% render_comment_form for self %}
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <aside class="post-sidebar">
                <div class="post-sidebar-toggle">
                  <span></span>
                  <span></span>
                  <span></span>
                </div>
                <div class="post-sidebar-content">
                  <div class="search">
                    <form action="{% routablepageurl blog_page 'entries_search' %}" role="search" method="get">
                      <div class="position-relative  form-group">
                        <input type="text" placeholder="Enter your keywords..." id="search" name="s">
                        <button type="submit" id="searchsubmit" class="btn"><i class="fa fa-search"></i></button>
                      </div>
                    </form>
                  </div>
                  {% if entry_recent_posts %}
                    <div class="aside-contents">
                      <div class="aside-title">
                        <span class="base-color">Recent Posts</span>
                      </div>
                      <div class="aside-item">
                        <ul class="list-unstyled mb-0">
                          {% for post in entry_recent_posts %}
                            <li><i class="fa fa-circle-o base-color"></i><a
                              href="{% entry_url post self.blog_page %}">{{ post.title }}</a></li>
                          {% endfor %}
                        </ul>
                      </div>
                    </div>
                  {% endif %}
                  <div class="aside-contents">
                    <div class="aside-title">
                      <span class="base-color">Recent Comments</span>
                    </div>
                    <div class="aside-item">
                      <ul class="list-unstyled mb-0">
                        {% for comment in entry_recent_comments %}
                        <li>
                          <i class="fa fa-circle-o base-color"></i>
                          <a href="#">{{ comment.comment }}</a>
                        </li>
                        {% endfor %}
                      </ul>
                    </div>
                  </div>
                  {% if categories %}
                    <div class="aside-contents">
                      <div class="aside-title">
                        <span class="base-color">Categories</span>
                      </div>
                      <div class="aside-item">
                        <ul class="list-unstyled mb-0">
                          {% for category in categories %}
                            <li class="cat-item"><i class="fa fa-circle-o base-color"></i>
                              <a href="{% routablepageurl self.blog_page 'entries_by_category' category.slug %}">{{ category.name }}</a>
                            </li>
                          {% endfor %}
                        </ul>
                      </div>
                    </div>
                  {% endif %}
                  <div class="aside-contents">
                    <div class="aside-title">
                      <span class="base-color">Archives</span>
                    </div>
                    <div class="aside-item">
                      <ul class="list-unstyled mb-0">
                        {% for archive in blog_archive_posts reversed %}
                          <li>
                          <i class="fa fa-circle-o base-color"></i>
                          <a href="{% routablepageurl blog_page 'entries_by_date' archive.year archive.date|date:'m' %}">{{ archive.date|date:"F Y" }}</a>
                          </li>
                        {% endfor %}
                      </ul>
                    </div>
                  </div>
                  {% if tags %}
                    <div class="aside-contents">
                      <div class="aside-title">
                        <span class="base-color">Tags</span>
                      </div>
                      <div class="aside-item blog-single-tag mb-0">
                        <ul class="list-unstyled mb-0">
                          {% for tag in tags %}
                            <li>
                              <i class="fa fa-circle-o base-color"></i>
                              <a href="{% routablepageurl blog_page 'entries_by_tag' tag.slug %}">{{ tag }}</a>
                            </li>
                          {% endfor %}
                        </ul>
                      </div>
                    </div>
                  {% endif %}
                </div>
              </aside>
            </div>
          </div>
        </div>
      </div>
    </section>
  {% endwith %}
{% endblock content %}
{% block extra_js %}
  <script>
    const commentCreateURL = "{% url 'cumpa-create-comment' entry_id=self.pk %}";
    const commentCountURL = "{% url 'cumpa-count-comments' pk=self.pk %}";
  </script>
{% endblock %}
